(*
//  play-song.applescript
// -------------------------------------------------------------------------
// Copyright (C) 2003 Poisoned Project <http://www.gottsilla.net/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
// Portions copyright (c) 2007 Andrew Merenbach <http://www.merenbach.com>
//	for Hedera <http://hedera.sourceforge.net/>.
// ---------------------------------------------------------------------------
*)

on run argv
	set arg1 to (item 1 of argv)
	if (arg1 is "true") then
		set test to true
	else if (arg1 is "false") then
		set test to false
	else
		return
	end if
	
	set theLoc to 1
	
	set cd to (get current date)
	set stash to 0
	
	tell application "iTunes"
		set theLibTest to (item 2 of argv)
		if (theLibTest is "true") then
			set theLib to playlist named (item 3 of argv)
		else if (theLibTest is "false") then
			set theLib to library playlist 1
		else
			return "oops!"
		end if
		
		launch
		if (test and (stash is 0)) then
			
			repeat with t from 1 to (count every track of theLib)
				tell track t of theLib
					set tDif to (cd - (get date added))
					if stash is 0 or stash is greater than tDif then
						copy tDif to stash
						set theLoc to t
					end if
				end tell
			end repeat
			
			play track theLoc of theLib
			
		else if ((not test) and (player state is not playing)) then
			
			repeat with t from 1 to (count every track of theLib)
				tell track t of theLib
					set tDif to (cd - (get date added))
					if stash is 0 or stash is greater than tDif then
						copy tDif to stash
						set theLoc to t
					end if
				end tell
			end repeat
			
			play track theLoc of theLib
			
		end if
	end tell
	
end run