//
//  HDValueTransformers.h
// -------------------------------------------------------------------------
// Copyright (C) 2007 Andrew Merenbach <http://www.merenbach.com/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
// Portions copyright (c) 2003 Poisoned Project <http://www.gottsilla.net/>
// ---------------------------------------------------------------------------


#import <Cocoa/Cocoa.h>

@interface PZSearchFilterStateValueTransformer : NSValueTransformer {
}
@end


@interface PZSearchSummaryValueTransformer : NSValueTransformer {
}

+ (Class)transformedValueClass;
+ (BOOL)allowsReverseTransformation;
- (id)transformedValue:(id)value;
@end

@interface HDUploadPreferencesIconValueTransformer: NSValueTransformer {}
@end

@interface PZProtocolImageValueTransformer: NSValueTransformer {}
@end

/*@interface PZNetworksTableTitleDescriptionValueTransformer: NSValueTransformer {
	NSDictionary *highlightedBoldFont;
	NSDictionary *highlightedNormalFont;
	NSDictionary *highlightedTinyFont;

	NSDictionary *unhighlightedBoldFont;
	NSDictionary *unhighlightedNormalFont;
	NSDictionary *unhighlightedTinyFont;
}

- (id)init;
- (void)dealloc;
- (void)prepareFonts;

@end*/

/*@interface PZSearchTableTitleDescriptionValueTransformer: NSValueTransformer {
	NSDictionary *highlightedBoldFont;
	NSDictionary *highlightedTinyFont;

	NSDictionary *unhighlightedBoldFont;
	NSDictionary *unhighlightedTinyFont;
}

- (id)init;
- (void)dealloc;
- (void)prepareFonts;

@end*/

@interface PZSizeValueTransformer: NSValueTransformer {}
@end

@interface PZBitrateValueTransformer: NSValueTransformer {}
@end

@interface PZDurationValueTransformer: NSValueTransformer {}
@end
