//
// PSearchResultsOutlineView.m
// -------------------------------------------------------------------------
// Copyright (C) 2003 Poisoned Project <http://www.gottsilla.net/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
// Portions copyright (c) 2007 Andrew Merenbach <http://www.merenbach.com>
//	for Hedera <http://hedera.sourceforge.net/>.
// ---------------------------------------------------------------------------

#import "PSearchResultsOutlineView.h"
#import "HDAspectControllerSearch.h"	/* delegate for menu */


@implementation PSearchResultsOutlineView

- (void)setMenuDelegate:(id)new_menu_delegate
{
	_menu_delegate = new_menu_delegate;
}

/*- (void)keyDown:(NSEvent *)theEvent
{
	NSString *keys = [theEvent characters];
	if ([keys length]==1 && [keys characterAtIndex:0]==NSEnterCharacter || NSCarriageReturnCharacter && [[self delegate] respondsToSelector:@selector(downloadEvent:)]) [[self delegate] performSelector:@selector(downloadEvent:)];
	else [super keyDown:theEvent];
}*/

- (NSMenu *)menuForEvent:(NSEvent *)event
{
	id menu = nil;

	NSPoint point = [self convertPoint:[event locationInWindow] fromView:nil];
	int column = [self columnAtPoint:point];
	int row = [self rowAtPoint:point];
	if ([_menu_delegate respondsToSelector:@selector(tableView:menuForTableColumn:row:)] )
		menu = [_menu_delegate tableView:self
			menuForTableColumn:[[self tableColumns] objectAtIndex:column]
			row:row];

	return menu;
}

@end
