//
//  HDPreferencesProtocolControllerOpenNap.h
// -------------------------------------------------------------------------
// Copyright (C) 2003 Poisoned Project <http://www.gottsilla.net/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
// Portions copyright (c) 2007 Andrew Merenbach <http://www.merenbach.com>
//	for Hedera <http://hedera.sourceforge.net/>.
// ---------------------------------------------------------------------------


#import <Cocoa/Cocoa.h>
#import "HDPreferencesProtocolController.h"
#import "HDPreferencesConfigurationEditorOpenNap.h"


@interface HDPreferencesProtocolControllerOpenNap : HDPreferencesProtocolController {

    IBOutlet NSTextField *alias;
    IBOutlet NSButton *randomAlias;
    IBOutlet NSTextField *port;
    IBOutlet NSTextField *maxconn;
    IBOutlet NSButton *useNapigator;
    IBOutlet NSTextField *napigatorIP;
}

- (void)readConfFiles;

- (void)disable;
- (void)enable;

- (IBAction)newAlias:(id)sender;
- (IBAction)randomAliasChanged:(id)sender;
- (IBAction)portChanged:(id)sender;
- (IBAction)maxconnChanged:(id)sender;
- (IBAction)useNapigatorChanged:(id)sender;
- (IBAction)napigatorIPChanged:(id)sender;

@end
