//
//  HDAlertLocalizedStrings.m
//  Hedera
//
//  Created by Andrew Merenbach on 8/21/07.
//  Copyright 2007 Andrew Merenbach. All rights reserved.
//

/* alert string keys */
#define HDAlertsLocalizedStringTable @"Alerts"

/* alert buttons */
//#define HDLocalizedResetButton NSLocalizedString(@"Reset", @"Reset")

#define HDLocalizedOKButton NSLocalizedString(@"OK", @"OK")
#define HDLocalizedCancelButton NSLocalizedString(@"Cancel", @"Cancel")

#define HDLocalizedYesButton NSLocalizedString(@"Yes", @"Yes")
#define HDLocalizedNoButton NSLocalizedString(@"No", @"No")

/* alert keys */
#define HDLocalizedAlert(key) NSLocalizedStringFromTable(key, HDAlertsLocalizedStringTable, @"")

#define HDDaemonControllerCouldNotStartMessageTextKey @"HDDaemonControllerCouldNotStartMessageText"
#define HDDaemonControllerMakeSurePathExistsTextKey @"HDDaemonControllerMakeSurePathExistsText"

#define HDDaemonControllerCrashAlertMessageTextKey @"HDDaemonControllerCrashAlertMessageText"
#define HDDaemonControllerCrashAlertInformativeTextKey @"HDDaemonControllerCrashAlertInformativeText"

#define HDMainControllerSorryMustReinstallPoisonedMessageTextKey @"HDMainControllerSorryMustReinstallPoisonedMessageText"
#define HDMainControllerSorryMustReinstallPoisonedInformativeTextKey @"HDMainControllerSorryMustReinstallPoisonedInformativeText"

#define HDMainControllerReinstallPoisonedMessageTextKey @"HDMainControllerReinstallPoisonedMessageText"
#define HDMainControllerReinstallPoisonedInformativeTextKey @"HDMainControllerReinstallPoisonedInformativeText"

#define HDMainControllerGiFTDaemonIsRunningMessageTextKey @"HDMainControllerGiFTDaemonIsRunningMessageText"
#define HDMainControllerGiFTDaemonMustBeShutDownBeforeUpgradingInformativeTextKey @"HDMainControllerGiFTDaemonMustBeShutDownBeforeUpgradingInformativeText"

#define HDMainControllerErrorDownloadingMessageTextKey @"HDMainControllerErrorDownloadingMessageText"

#define HDMainControllerGiFTDaemonStillRunningMessageTextKey @"HDMainControllerGiFTDaemonStillRunningMessageText"
#define HDMainControllerMustStopGiFTToUpdateInformativeTextKey @"HDMainControllerMustStopGiFTToUpdateInformativeText"

#define HDMainControllerWouldYouLikeToUpdateMessageTextKey @"HDMainControllerWouldYouLikeToUpdateMessageText"
#define HDMainControllerWouldYouLikeToUpdateInformativeTextKey @"HDMainControllerWouldYouLikeToUpdateInformativeText"

#define PDaemonControllerDetectedGiFTRunningMTKey @"PDaemonControllerDetectedGiFTRunningMT"
#define PDaemonControllerResetGiFTMustBeShutDownKey @"PDaemonControllerResetGiFTMustBeShutDown"

#define PDaemonControllerWouldYouLikeToResetKey @"PDaemonControllerWouldYouLikeToReset"
#define PDaemonControllerThisWillTrashDataKey @"PDaemonControllerThisWillTrashData"

#define PDaemonControllerSorryString1Key @"PDaemonControllerSorryString1"
#define PDaemonControllerGiFTFailedShutdownKey @"PDaemonControllerGiFTFailedShutdown"

#define PDownloadControllerCancelSelectedDownloadsMessageTextKey @"PDownloadControllerCancelSelectedDownloadsMessageText"
#define PDownloadControllerCancelSelectedDownloadsInformativeTextKey @"PDownloadControllerCancelSelectedDownloadsInformativeText"

#define HDTransferSourceDownloadsRemoveSelectedDownloadsMessageTextKey @"HDTransferSourceDownloadsRemoveSelectedDownloadsMessageText"
#define HDTransferSourceDownloadsRemoveSelectedDownloadsInformativeTextKey @"HDTransferSourceDownloadsRemoveSelectedDownloadsInformativeText"

#define HDAspectControllerDaemonConnectionFailedKey @"HDAspectControllerDaemonConnectionFailed"
#define HDAspectControllerDaemonConfigFilesMissingKey @"HDAspectControllerDaemonConfigFilesMissing"

#define PDaemonControllerSorryString2Key @"PDaemonControllerSorryString2"
#define PDaemonControllerIncomingPermissionsErrorStringKey @"PDaemonControllerIncomingPermissionsErrorString"

#define PDaemonControllerSorryString3Key @"PDaemonControllerSorryString3"
#define PDaemonControllerAppSuppPermissionsErrorStringKey @"PDaemonControllerAppSuppPermissionsErrorString"

#define PDaemonControllerSorryString4Key @"PDaemonControllerSorryString4"
#define PDaemonControllerPrefsPermissionsErrorStringKey @"PDaemonControllerPrefsPermissionsErrorString"

#define HDAspectControllerDaemonConnectionFailedKey @"HDAspectControllerDaemonConnectionFailed"
#define HDAspectControllerDaemonPleaseWaitKey @"HDAspectControllerDaemonPleaseWait"
#define HDAspectControllerDaemonCheckRunningKey @"HDAspectControllerDaemonCheckRunning"

#define HDDaemonUpdateHostUnreachableMessageTextKey @"HDDaemonUpdateHostUnreachableMessageText"
#define HDDaemonUpdateHostUnreachableInformativeTextKey @"HDDaemonUpdateHostUnreachableInformativeText"
