//
//  HDFilterProtocolListEntry.m
// -------------------------------------------------------------------------
// Copyright (C) 2007 Andrew Merenbach <http://www.merenbach.com/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------


#import "HDFilterProtocolListEntry.h"
#import "HDAdditions.h"

//const float PSearchListEntryInset = 1.0;


/*NSString *PZSearchListEntryDictionaryKey = @"entryDictionary";
NSString *PZSearchListEntryTicketStringKey = @"ticketString";
NSString *PZSearchListEntryResultCountKey = @"resultCount";
NSString *PZSearchListEntryQueryStringKey = @"queryString";
NSString *PZSearchListEntryInfoStringKey = @"infoString";

NSString *PZSearchListEntrySummaryKey = @"summary";
NSString *PZSearchListEntryEntryDataSourceKey = @"entryDataSource";*/

NSString *HDFilterProtocolListEntryTitleStringKey = @"titleString";


@implementation HDFilterProtocolListEntry

- (id)init {
	if (nil != (self = [super init])) {
		[self setEntryDictionary:[NSDictionary dictionary]];
		//[self setEntryDataSource:nil];
	}
	return self;
}

- (void)dealloc {
	[self setEntryDictionary:nil];
	//[self setEntryDataSource:nil];
	
	[super dealloc];
}

- (NSMutableDictionary *)entryDictionary {
	return [[AM_entryDictionary retain] autorelease];
}

- (void)setEntryDictionary:(NSDictionary *)aDictionary {
	if (aDictionary != AM_entryDictionary) {
		[AM_entryDictionary release];
		AM_entryDictionary = [aDictionary mutableCopy];
	}
}

@end


@implementation HDFilterProtocolListEntry (KeyAccessorMethods)

- (NSString *)titleString {
	return [[self entryDictionary] objectForKey:HDFilterProtocolListEntryTitleStringKey];
}

- (void)setTitleString:(NSString *)aString {
	[[self entryDictionary] setObject:aString forKey:HDFilterProtocolListEntryTitleStringKey];
}

@end
