//
//  PComparableDictionary.h
// -------------------------------------------------------------------------
// Copyright (C) 2003 Poisoned Project <http://www.gottsilla.net/>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// ---------------------------------------------------------------------------
// Portions copyright (c) 2007 Andrew Merenbach <http://www.merenbach.com>
//	for Hedera <http://hedera.sourceforge.net/>.
// ---------------------------------------------------------------------------

#import <Foundation/Foundation.h>


@interface NSArray (PComparableDictionary)

- (NSComparisonResult)iconAsc:(NSArray *)dict;
- (NSComparisonResult)iconDesc:(NSArray *)dict;

- (NSComparisonResult)fileAsc:(NSArray *)dict;
- (NSComparisonResult)fileDesc:(NSArray *)dict;

- (NSComparisonResult)artistAsc:(NSArray *)dict;
- (NSComparisonResult)artistDesc:(NSArray *)dict;

- (NSComparisonResult)albumAsc:(NSArray *)dict;
- (NSComparisonResult)albumDesc:(NSArray *)dict;

- (NSComparisonResult)userAsc:(NSArray *)dict;
- (NSComparisonResult)userDesc:(NSArray *)dict;

- (NSComparisonResult)calcsizeAsc:(NSArray *)dict;
- (NSComparisonResult)calcsizeDesc:(NSArray *)dict;

- (NSComparisonResult)bitrateAsc:(NSArray *)dict;
- (NSComparisonResult)bitrateDesc:(NSArray *)dict;

- (NSComparisonResult)PProtoIconAsc:(NSArray *)dict;
- (NSComparisonResult)PProtoIconDesc:(NSArray *)dict;

- (NSComparisonResult)PAvailabilityAsc:(NSArray *)dict;
- (NSComparisonResult)PAvailabilityDesc:(NSArray *)dict;

- (NSComparisonResult)PSizeAsc:(NSArray *)dict;
- (NSComparisonResult)PSizeDesc:(NSArray *)dict;

- (NSComparisonResult)PIconAsc:(NSArray *)dict;
- (NSComparisonResult)PIconDesc:(NSArray *)dict;

/*- (NSComparisonResult)PFileUserAsc:(NSArray *)dict;
- (NSComparisonResult)PFileUserDesc:(NSArray *)dict;*/

- (NSComparisonResult)formattedDurationAsc:(NSArray *)dict;
- (NSComparisonResult)formattedDurationDesc:(NSArray *)dict;


@end
